function onBegin()
  makeUnskippable()
  disableMovement()
  playPuppetAnim("transform")
  --wait(8)
  wait(1.75)
  playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/NoskMimic1")
  wait(1.25)
  playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/NoskMimic2")
  wait(1.75)
  playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/NoskMimic3")
  wait(1.1)
  playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/NoskMimic4")
  wait(1.6)
  playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/NoskMimic5")
  wait(0.75)
  
  enableCollisions()
  setFlag("NoskHealth", true)
  --miniTextbox("title")
  enableMovement()
  playMusic("event:/CC/CC_HollowKnight/DecisiveBattle")
  wait(0.75)
  playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/NoskScream")
  wait(0.25)
end